Package wx :: Module gizmos :: Class TreeListCtrl

[frames | no frames]

## Type TreeListCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            TreeListCtrl

Proxy of C++ TreeListCtrl class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
| `AddColumn(self, text, width, flag, image, shown, edit)`
| `AddColumnInfo(self, col)`
TreeItemId | `AddRoot(self, text, image, selectedImage, data)`
TreeItemId | `AppendItem(self, parent, text, image, selectedImage, data)`
| `AssignButtonsImageList(self, imageList)`
| `AssignImageList(self, imageList)`
| `AssignStateImageList(self, imageList)`
| `Collapse(self, item)`
| `CollapseAndReset(self, item)`
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
| `Delete(self, item)`
| `DeleteAllItems(self)`
| `DeleteChildren(self, item)`
| `DeleteRoot(self)`
| `Edit(self, item, column)`
| `EditLabel(self, item, column)`
| `EnsureVisible(self, item)`
| `Expand(self, item)`
| `ExpandAll(self, item)`
TreeItemId | `FindItem(self, item, str, flags)`
PyObject | `GetBoundingRect(self, item, textOnly)`
ImageList | `GetButtonsImageList(self)`
size_t | `GetChildrenCount(self, item, recursively)`
TreeListColumnInfo | `GetColumn(self, column)`
int | `GetColumnAlignment(self, column)`
size_t | `GetColumnCount(self)`
int | `GetColumnImage(self, column)`
String | `GetColumnText(self, column)`
int | `GetColumnWidth(self, column)`
size_t | `GetCount(self)`
PyObject | `GetFirstChild(self, item)`
TreeItemId | `GetFirstExpandedItem(self)`
TreeItemId | `GetFirstVisibleItem(self, fullRow)`
Window | `GetHeaderWindow(self)`
ImageList | `GetImageList(self)`
unsigned int | `GetIndent(self)`
Colour | `GetItemBackgroundColour(self, item)`
bool | `GetItemBold(self, item)`
TreeItemData | `GetItemData(self, item)`
Font | `GetItemFont(self, item)`
int | `GetItemImage(self, item, column, which)`
TreeItemId | `GetItemParent(self, item)`
PyObject | `GetItemPyData(self, item)`
String | `GetItemText(self, item, column)`
Colour | `GetItemTextColour(self, item)`
PyObject | `GetLastChild(self, item)`
unsigned int | `GetLineSpacing(self)`
size_t | `GetMainColumn(self)`
ScrolledWindow | `GetMainWindow(self)`
TreeItemId | `GetNext(self, item)`
PyObject | `GetNextChild(self, item, cookie)`
TreeItemId | `GetNextExpanded(self, item)`
TreeItemId | `GetNextSibling(self, item)`
TreeItemId | `GetNextVisible(self, item, fullRow)`
TreeItemId | `GetPrev(self, item)`
PyObject | `GetPrevChild(self, item, cookie)`
TreeItemId | `GetPrevExpanded(self, item)`
TreeItemId | `GetPrevSibling(self, item)`
TreeItemId | `GetPrevVisible(self, item, fullRow)`
PyObject | `GetPyData(self, item)`
TreeItemId | `GetRootItem(self)`
TreeItemId | `GetSelection(self)`
PyObject | `GetSelections(self)`
ImageList | `GetStateImageList(self)`
bool | `HasChildren(self, item)`
int | ``HitTest`(self, pt)` Test where the given (in client coords) point lies
| `InsertColumn(self, before, text, width, flag, image, shown, edit)`
| `InsertColumnInfo(self, before, col)`
TreeItemId | `InsertItem(self, parent, idPrevious, text, image, selectedImage, data)`
TreeItemId | `InsertItemBefore(self, parent, index, text, image, selectedImage, data)`
bool | `IsBold(self, item)`
bool | `IsColumnEditable(self, column)`
bool | `IsColumnShown(self, column)`
bool | `IsExpanded(self, item)`
bool | `IsSelected(self, item)`
bool | `IsVisible(self, item)`
bool | `ItemHasChildren(self, item)`
TreeItemId | `PrependItem(self, parent, text, image, selectedImage, data)`
| `RemoveColumn(self, column)`
| `ScrollTo(self, item)`
| `SelectAll(self)`
| `SelectItem(self, item, last, unselect_others)`
| `SetButtonsImageList(self, imageList)`
| `SetColumn(self, column, colInfo)`
| `SetColumnAlignment(self, column, flag)`
| `SetColumnEditable(self, column, edit)`
| `SetColumnImage(self, column, image)`
| `SetColumnShown(self, column, shown)`
| `SetColumnText(self, column, text)`
| `SetColumnWidth(self, column, width)`
| `SetDragItem(self, item)`
| `SetImageList(self, imageList)`
| ``SetIndent`(*args, **kwargs)` SetIndent(self, unsigned int indent)
| `SetItemBackgroundColour(self, item, colour)`
| `SetItemBold(self, item, bold)`
| `SetItemData(self, item, data)`
| `SetItemFont(self, item, font)`
| `SetItemHasChildren(self, item, has)`
| `SetItemImage(self, item, image, column, which)`
| `SetItemPyData(self, item, obj)`
| `SetItemText(self, item, text, column)`
| `SetItemTextColour(self, item, colour)`
| ``SetLineSpacing`(*args, **kwargs)` SetLineSpacing(self, unsigned int spacing)
| `SetMainColumn(self, column)`
| `SetPyData(self, item, obj)`
| `SetStateImageList(self, imageList)`
| `ShowColumn(self, column, shown)`
| `SortChildren(self, item)`
| `Toggle(self, item)`
| `Unselect(self)`
| `UnselectAll(self)`

Property Summary
| `ButtonsImageList`: See `GetButtonsImageList` and `SetButtonsImageList`
| `ColumnCount`: See `GetColumnCount`
| `Count`: See `GetCount`
| `HeaderWindow`: See `GetHeaderWindow`
| `ImageList`: See `GetImageList` and `SetImageList`
| `Indent`: See `GetIndent` and `SetIndent`
| `LineSpacing`: See `GetLineSpacing` and `SetLineSpacing`
| `MainColumn`: See `GetMainColumn` and `SetMainColumn`
| `MainWindow`: See `GetMainWindow`
| `Next`: See `GetNext`
| `RootItem`: See `GetRootItem`
| `Selection`: See `GetSelection`
| `Selections`: See `GetSelections`
| `StateImageList`: See `GetStateImageList` and `SetStateImageList`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=TR_DEFAULT_STYLE, validator=DefaultValidator, name=TreeListCtrlNameStr)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.Control.__init__` (inherited documentation)

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=TR_DEFAULT_STYLE, validator=DefaultValidator, name=TreeListCtrlNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create`

### HitTest(self, point, OUTPUT, OUTPUT)

Test where the given (in client coords) point lies

  Parameters:
    `pt`
    (type=Point)

  Returns:
    int
  Overrides:
    `wx.Window.HitTest` (inherited documentation)

### SetIndent(*args, **kwargs)

SetIndent(self, unsigned int indent)

### SetLineSpacing(*args, **kwargs)

SetLineSpacing(self, unsigned int spacing)

Property Details

### ButtonsImageList

See `GetButtonsImageList` and `SetButtonsImageList`

  Get Method:
    `GetButtonsImageList`(self)
  Set Method:
    `SetButtonsImageList`(self, imageList)

### ColumnCount

See `GetColumnCount`

  Get Method:
    `GetColumnCount`(self)

### Count

See `GetCount`

  Get Method:
    `GetCount`(self)

### HeaderWindow

See `GetHeaderWindow`

  Get Method:
    `GetHeaderWindow`(self)

### ImageList

See `GetImageList` and `SetImageList`

  Get Method:
    `GetImageList`(self)
  Set Method:
    `SetImageList`(self, imageList)

### Indent

See `GetIndent` and `SetIndent`

  Get Method:
    `GetIndent`(self)
  Set Method:
    `SetIndent`(*args, **kwargs)

### LineSpacing

See `GetLineSpacing` and `SetLineSpacing`

  Get Method:
    `GetLineSpacing`(self)
  Set Method:
    `SetLineSpacing`(*args, **kwargs)

### MainColumn

See `GetMainColumn` and `SetMainColumn`

  Get Method:
    `GetMainColumn`(self)
  Set Method:
    `SetMainColumn`(self, column)

### MainWindow

See `GetMainWindow`

  Get Method:
    `GetMainWindow`(self)

### Next

See `GetNext`

  Get Method:
    `GetNext`(self, item)

### RootItem

See `GetRootItem`

  Get Method:
    `GetRootItem`(self)

### Selection

See `GetSelection`

  Get Method:
    `GetSelection`(self)

### Selections

See `GetSelections`

  Get Method:
    `GetSelections`(self)

### StateImageList

See `GetStateImageList` and `SetStateImageList`

  Get Method:
    `GetStateImageList`(self)
  Set Method:
    `SetStateImageList`(self, imageList)

### thisown

The membership flag

  Get Method:
    unknown--1217640604(...)
  Set Method:
    unknown--1217640548(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:22 2007 | http://epydoc.sf.net